//
//  ShaderGray.fsh
//  Game Engine
//
//  Created by Siema on 18/06/2012.
//  Copyright (c) 2012 Alien Worm. All rights reserved.
//

varying lowp vec4 vv4Color;
varying lowp vec2 vv2UV;

uniform sampler2D tex;


void main()
{
    lowp float gray;
    
    gl_FragColor = texture2D(tex, vv2UV) * vv4Color;
    gray = 1.2 * dot(gl_FragColor.rgb, vec3(0.299, 0.587, 0.114));
    gl_FragColor = vec4(gray, gray, gray, gl_FragColor.a);
}
