//
//  ShaderSDF.vsh
//  Game Engine
//
//  Created by Siema on 18/06/2012.
//  Copyright (c) 2012 Alien Worm. All rights reserved.
//

attribute vec4 av3Position;
attribute vec2 av2UV;
attribute vec4 av4Color;

varying lowp vec4 vv4Color;
varying lowp vec2 vv2UV;

uniform mat4 um4Projection;
uniform vec2 texScales;

void main(){
    vv4Color = av4Color;
    vv2UV = av2UV * texScales;
    
    gl_Position = um4Projection * av3Position;
}
