//
//  Shader3D.vsh
//  Game Engine
//
//  Created by Siema on 10/06/2012.
//  Copyright (c) 2012 Alien Worm. All rights reserved.
//

attribute vec4 av3Position;
attribute vec3 av3Normal;
attribute vec2 av2UV;

uniform mat4 um4ModelView;
uniform mat4 um4Projection;
uniform mat3 um3Normal;

varying lowp float vfBrightness;
varying lowp vec2 vv2UV;

uniform vec2 texScales;

// TEST
//varying lowp vec4 normColor;

void main(){
    vec3 eyeNormal = normalize(um3Normal * av3Normal);
    vec3 lightPos = normalize(vec3(1, 1, 1));
    
    //vfBrightness = max(0.0, dot(eyeNormal, lightPos));
    //vv2UV = av2UV * texScales;
    
    
    // TEST
    //normColor = vec4(um3Normal.x, um3Normal.y, um3Normal.z, 1.0);
    
    gl_Position = um4Projection * um4ModelView * av3Position;
}



