//
//  ShaderBezier.vsh
//  Game Engine
//

attribute vec4 av3Position;
attribute vec2 av2UV;
attribute vec4 av4Color;

varying lowp vec4 vv4Color;
varying lowp vec2 vv2UV;

uniform mat4 um4Projection;
uniform vec2 texScales;

void main(){
    
    lowp vec2 a;
    
    vv4Color = av4Color;
    vv2UV = av2UV;
    
    a = texScales;
    
    gl_Position = um4Projection * av3Position;
}