//
//  ShaderMask.vsh
//  Game Engine
//

attribute vec4 av3Position;
attribute vec2 av2UV;
attribute vec4 av4Color;
attribute vec2 av2UVMask;

varying lowp vec4 vv4Color;
varying lowp vec2 vv2UV;
varying lowp vec2 vv2UVMask;

uniform mat4 um4Projection;
uniform vec2 texScales;
uniform lowp int maskChannel;

void main(){
    vv4Color = av4Color;
    vv2UV = av2UV * texScales;
    vv2UVMask = av2UVMask * texScales;
    
    gl_Position = um4Projection * av3Position;
}
